Subject: Re: bug#25157: 26.0.50; whitespace-cleanup does not remove single trailing empty line anymore

From: [email-masked]
Date: Sat, 24 Dec 2016 10:34:50 -0500

tags 25157 fixed
close 25157 26.1
quit

Reuben Thomas <[email-masked]> writes:

>  >>
>  >> (whitespace-cleanup): Remove a FIXME: the reason for save-match-data
>  >> is the call of re-search-forward.
>  >>
>  >> I'm not sure this is a sufficient explanation of why save-match-data is
>  >> needed. Usually in Emacs the caller is responsible for saving the match
>  >> data, if it needs to. I don't really see the need here.
>  >
>  > Can it be removed then?
>
>  Probably yes.
>
> ​Great; can you then install a suitable patch, please?

I've pushed the first patch as cf5417f02887 "Fix whitespace eob
cleanup", removed save-match-data in da52e939aa26 "Remove redundant
`save-match-data' in whitespace.el".